package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.ResourceSort;
import com.lightinit.hsdataportal.entity.ResourceSortExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ResourceSortMapper {
    long countByExample(ResourceSortExample example);

    int deleteByExample(ResourceSortExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceSort record);

    int insertSelective(ResourceSort record);

    List<ResourceSort> selectByExample(ResourceSortExample example);

    ResourceSort selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceSort record, @Param("example") ResourceSortExample example);

    int updateByExample(@Param("record") ResourceSort record, @Param("example") ResourceSortExample example);

    int updateByPrimaryKeySelective(ResourceSort record);

    int updateByPrimaryKey(ResourceSort record);
}